Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 522867 - network hangs when trying to write to mounted CIFS file system
Summary: network hangs when trying to write to mounted CIFS file system
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 21:19 UTC by william hanlon
Modified: 2017-03-02 18:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:36:17 UTC
Type: ---


Attachments (Terms of Use)
/var/log/messages during network hang (436.12 KB, text/plain)
2009-09-11 21:19 UTC, william hanlon
no flags Details
packet capture of talking to CIFS server (595.68 KB, application/octet-stream)
2009-09-14 15:59 UTC, william hanlon
no flags Details

Description william hanlon 2009-09-11 21:19:14 UTC
Created attachment 360729 [details]
/var/log/messages during network hang

Description of problem:
When I mount a CIFS file system and I try to move anything beyond very small files, the network hangs, i.e., I lose connectivity with everything on the network not just the CIFS mount. I have to umount the file system (not sure if it's really doing anything here) and restart NetworkManager to get back on the network.

Version-Release number of selected component (if applicable):
kernel-2.6.30.5-43.fc11.i586
NetworkManager-0.7.1-8.git20090708.fc11.i586
samba-client-3.3.2-0.33.fc11.i586

How reproducible:
Always when trying to move a large file or set of files.


Steps to Reproduce:
1. mount CIFS volume like:
 sudo mount -t cifs //host/path /tmp/mnt/ -o user=XXX,domain=XXX,uid=XXX,gid=XXX
2. try to copy a large file to /tmp/mnt
  
Actual results:
Some files may be copied if a list was given (e.g., cp * /tmp/mnt) but the command will hang. Errors appear in the kernel log:

kernel: CIFS VFS: No response to cmd 47 mid 43
kernel: CIFS VFS: Write2 ret -11, wrote 0
kernel: CIFS VFS: sends on sock dd039500 stuck for 15 seconds
kernel: CIFS VFS: Error -11 sending data on socket to server
kernel: CIFS VFS: Write2 ret -11, wrote 0
kernel: CIFS VFS: Write2 ret -112, wrote 0
kernel: CIFS VFS: Write2 ret -112, wrote 0
kernel: CIFS VFS: Write2 ret -112, wrote 0

All other network connections are killed off as well.

Expected results:
Files should be copied to CIFS mount point, network should continue to function.

Additional info:
I am running with Broadcom BCM5906M:

02:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5906M Fast Ethernet PCI Express (rev 02)
	Subsystem: Lenovo Device 3a23
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 27
	Region 0: Memory at f0200000 (64-bit, non-prefetchable) [size=64K]
	Expansion ROM at <ignored> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: tg3
	Kernel modules: tg3

I'll include the output of sysrq-t (may be several dumps in there, sorry. gnome was trying to do screen caps when I do sysrq-t?).

Comment 1 Chuck Ebbert 2009-09-13 15:47:09 UTC
(In reply to comment #1)
> Actual results:
> Some files may be copied if a list was given (e.g., cp * /tmp/mnt) but the
> command will hang. Errors appear in the kernel log:
> 
> kernel: CIFS VFS: No response to cmd 47 mid 43
> kernel: CIFS VFS: Write2 ret -11, wrote 0
> kernel: CIFS VFS: sends on sock dd039500 stuck for 15 seconds
> kernel: CIFS VFS: Error -11 sending data on socket to server
> kernel: CIFS VFS: Write2 ret -11, wrote 0
> kernel: CIFS VFS: Write2 ret -112, wrote 0
> kernel: CIFS VFS: Write2 ret -112, wrote 0
> kernel: CIFS VFS: Write2 ret -112, wrote 0
> 

-11 is -EAGAIN
-112 is -EHOSTDOWN

I just tried here and was able to copy a 700MB live image from the server and then back without a problem.

Comment 2 Chuck Ebbert 2009-09-13 16:29:03 UTC
Looking at the code in SendReceive2(), it seems reponses are not coming back from your server, or the network adapter is dropping them.

Comment 3 william hanlon 2009-09-14 15:59:54 UTC
Created attachment 360965 [details]
packet capture of talking to CIFS server

Comment 4 william hanlon 2009-09-14 16:02:09 UTC
(In reply to comment #2)
> Looking at the code in SendReceive2(), it seems reponses are not coming back
> from your server, or the network adapter is dropping them.  

I'll do a packet capture, but it seems that the latter reason is more likely the problem since as I've noted I lose all network connectivity everywhere, i.e., all applications lose their ability to talk to anything on the network, not just the CIFS mount. After I restart NetworkManager, I can always connect again to the server without any problems.

Here's what was in the kernel log during the packet capture and subsequent restart of the ethernet card:

device eth0 entered promiscuous mode
SELinux: initialized (dev cifs, type cifs), uses genfs_contexts
 CIFS VFS: No response to cmd 47 mid 35
 CIFS VFS: Write2 ret -11, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: sends on sock f3dab180 stuck for 15 seconds
 CIFS VFS: Error -11 sending data on socket to server
 CIFS VFS: Write2 ret -11, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: Write2 ret -112, wrote 0
 CIFS VFS: writes pending, delay free of handle
 CIFS VFS: writes pending, delay free of handle
 CIFS VFS: writes pending, delay free of handle
 CIFS VFS: writes pending, delay free of handle
 CIFS VFS: Write2 ret -112, wrote 0
device eth0 left promiscuous mode
tg3 0000:02:00.0: PME# disabled
tg3 0000:02:00.0: irq 27 for MSI/MSI-X
ADDRCONF(NETDEV_UP): eth0: link is not ready
tg3: eth0: Link is up at 100 Mbps, full duplex.
tg3: eth0: Flow control is off for TX and off for RX.
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready

Comment 5 Bug Zapper 2010-04-28 10:18:11 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-06-28 14:36:17 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 RobbieTheK 2017-03-02 18:55:26 UTC
I'm seeing this on Fedora 25 writing to a DroboFS:
Mar 01 01:14:54 myworkstation kernel: CIFS VFS: Server drobo-rh has not responded in 120 seconds. Reconnecting...
Mar 01 01:15:37 myworkstation kernel: CIFS VFS: sends on sock ffff9940cfce8a00 stuck for 15 seconds
Mar 01 01:15:37 myworkstation kernel: CIFS VFS: Error -11 sending data on socket to server
Mar 01 01:16:51 myworkstation kernel: CIFS VFS: Send error in SessSetup = -11

Mar 01 01:18:23 myworkstation kernel: CIFS VFS: sends on sock ffff9940cfce8a00 stuck for 15 seconds
Mar 01 01:18:23 myworkstation kernel: CIFS VFS: Error -11 sending data on socket to server
Mar 01 01:19:12 myworkstation kernel: CIFS VFS: sends on sock ffff9940105e0280 stuck for 15 seconds
Mar 01 01:19:12 myworkstation kernel: CIFS VFS: Error -11 sending data on socket to server
Mar 01 01:38:20 myworkstation systemd[1]: Starting dnf makecache...

Should I open a new bug>


Note You need to log in before you can comment on or make changes to this bug.